edu.wpi.first.networktables

## Class ConnectionInfo

- java.lang.Object
- - edu.wpi.first.networktables.ConnectionInfo

-     public final class ConnectionInfo
      extends java.lang.Object

  NetworkTables Connection information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `last_update` The last time any update was received from the remote node (same scale as returned by `NetworkTablesJNI.now()`).
    `int` | `protocol_version` The protocol version being used for this connection.
    `java.lang.String` | `remote_id` The remote identifier (as set on the remote node by `NetworkTableInstance.setNetworkIdentity(String)`).
    `java.lang.String` | `remote_ip` The IP address of the remote node.
    `int` | `remote_port` The port number of the remote node.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionInfo(java.lang.String remote_id, java.lang.String remote_ip, int remote_port, long last_update, int protocol_version)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### remote_id

          public final java.lang.String remote_id

      The remote identifier (as set on the remote node by `NetworkTableInstance.setNetworkIdentity(String)`).

    - #### remote_ip

          public final java.lang.String remote_ip

      The IP address of the remote node.

    - #### remote_port

          public final int remote_port

      The port number of the remote node.

    - #### last_update

          public final long last_update

      The last time any update was received from the remote node (same scale as returned by `NetworkTablesJNI.now()`).

    - #### protocol_version

          public final int protocol_version

      The protocol version being used for this connection. This is in protocol layer format, so 0x0200 = 2.0, 0x0300 = 3.0).

  - ### Constructor Detail

    - #### ConnectionInfo

          public ConnectionInfo(java.lang.String remote_id,
                                java.lang.String remote_ip,
                                int remote_port,
                                long last_update,
                                int protocol_version)

      Constructor. This should generally only be used internally to NetworkTables.
      Parameters:
        `remote_id` - Remote identifier
        `remote_ip` - Remote IP address
        `remote_port` - Remote port number
        `last_update` - Last time an update was received
        `protocol_version` - The protocol version used for the connection